Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portlet
Class JBossPortletPreferences

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletPreferencesImpl
          org.jboss.portlet.JBossPortletPreferences

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler, PortletPreferences

    public class JBossPortletPreferences

extends PortletPreferencesImpl
implements java.lang.reflect.InvocationHandler

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletPreferencesImpl
`ACTION, containerPrefs, log, mode, prefs, RENDER, updates, validator`

Constructor Summary
`JBossPortletPreferences(PropertyContext manager, ContainerPreferencesInfo containerPrefs, PreferencesValidator validator, int mode, ProxyInfo proxyInfo)`

Method Summary
`java.lang.Object` | `getProxy()`
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletPreferencesImpl
`getMap, getNames, getValue, getValues, isReadOnly, reset, setValue, setValues, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossPortletPreferences

    public JBossPortletPreferences(PropertyContext manager,
                                   ContainerPreferencesInfo containerPrefs,
                                   PreferencesValidator validator,
                                   int mode,
                                   ProxyInfo proxyInfo)

Method Detail

### getProxy

    public java.lang.Object getProxy()

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD